#!/bin/sh

pv_prefix='ioc23:'
motor_name='m1'

if [ "$1" = '-h' ] || [ "$1" = '--help' ]; then
  cat << EOF
Usage: motor.sh [P [M]]

Arguments:
  P  PV prefix (default: "$pv_prefix")
  M  Motor (default: "$motor_name")

Example: motor.sh
Example: motor.sh ioc1: m2
EOF
  exit 0
fi

[ "$1" ] && pv_prefix="$1"
[ "$2" ] && motor_name="$2"

exec medm -x -macro "P=$pv_prefix,M=$motor_name" motorx_more.adl
